﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace XamGridError
{
    public class MainViewViewModel
    {
        public List<Content> Content { get; set; }

        public static MainViewViewModel GetStdMainViewViewModel()
        {
            MainViewViewModel result = new MainViewViewModel();
            result.Content = new List<Content>();
            for (int i = 0; i < 3; ++i)
            {
                Content a = new Content();
                a.MyMainProp = "this is content No" + i.ToString();
                a.SubContent = new List<SubContent>();
                
                for (int j = 0 ; j<10 ;++j)
                {
                    SubContent s = new SubContent();
                    s.Prop1 = "My prop 1 for Subcontent #" + j.ToString();
                    s.Prop2 = "My prop 2 for Subcontent #" + j.ToString();
                    s.Prop3 = "My prop 3 for Subcontent #" + j.ToString();
                    s.Prop4 = "My prop 4 for Subcontent #" + j.ToString();
                    s.Prop5 = "My prop 5 for Subcontent #" + j.ToString();
                    s.Prop6 = "My prop 6 for Subcontent #" + j.ToString();
                    s.Prop7 = "My prop 7 for Subcontent #" + j.ToString();
                    s.Prop8 = "My prop 8 for Subcontent #" + j.ToString();
                    s.Prop9 = "My prop 9 for Subcontent #" + j.ToString();
                    s.Prop10 = "My prop 10 for Subcontent #" + j.ToString();
                    a.SubContent.Add(s);
                }
                result.Content.Add(a);
            }
            return result;
        }
    }
}
